%global goipath         gopkg.in/mgo.v2
%global sec_goipath     gopkg.in/v2/mgo
%global forgeurl        https://github.com/go-mgo/mgo
%global commit          39b4000d99037e917f3a3b9d2dcab667a9ef284a

%gometa -i

%global sec_name        %gorpmname %{sec_goipath}

Name:           golang-github-go-mgo-mgo
Version:        0
Release:        0.14%{?dist}
Summary:        The MongoDB driver for Go
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch

#BuildRequires: supervisor
#BuildRequires: mongodb
#BuildRequires: mongodb-server
#BuildRequires: lsof

BuildRequires: golang(gopkg.in/check.v1)
BuildRequires: golang(gopkg.in/tomb.v2)
BuildRequires: golang(gopkg.in/yaml.v2)

#Requires:      mongodb
Requires:      golang(gopkg.in/check.v1)
Requires:      golang(gopkg.in/tomb.v2)
Requires:      golang(gopkg.in/yaml.v2)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgesetup

%install
%goinstall
%goinstall -i %{sec_goipath} -o devel.file-list

%check
#%%gochecks

#export GOPATH=$(pwd):%{buildroot}/%{gopath}:%{gopath}
#make startdb
#%%gotest -gocheck.v
#make stopdb

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files devel -f devel.file-list
%license
%doc README.md

%changelog
* Thu Feb 07 2019 Jan Chaloupka <jchaloup@redhat.com> - 0-0.14.git39b4000
- Remove mongo-db from deps, yet keep the package available in case
  users install the mongo-db from different sources.
  See https://pagure.io/fesco/issue/2078 ticket.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git39b4000
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git39b4000
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 05 2018 Marek Skalický <mskalick@redhat.com> - 0-0.11.git39b4000
- Rebase to version used by mongo-tools

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.gite30de8a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.gite30de8a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.gite30de8a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.gite30de8a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.gite30de8a
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.gite30de8a
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.gite30de8a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 jchaloup <jchaloup@redhat.com> - 0-0.3.gite30de8a
- Bump to upstream e30de8ac9ae3b30df7065f766c71f88bba7d4e49
  related: #1232226

* Wed Jan 27 2016 jchaloup <jchaloup@redhat.com> - 0-0.2.git3569c88
- Update spec file to spec-2.1
  related: #1232226 

* Mon Jun 15 2015 Marek Skalicky <mskalick@redhat.com> - 0-0.1.git3569c88
- First package for Fedora
  resolves: #1232226
